z=seqs';
r=zeros(1,size(seqs,2));
for i=1:size(seqs,2)
n1=0;
n2=0;
n3=0;
n4=0;
n5=0;
n6=0;
n7=0;
n8=0;
n9=0;
n10=0;
n11=0;
n12=0;
n13=0;
n14=0;
n15=0;
n16=0;
n17=0;
n18=0;
n19=0;
n20=0;
ngap=0;
numA=0;
numR=0;
numN=0;
numD=0;
numC=0;
numE=0;
numQ=0;
numG=0;
numI=0;
numL=0;
numK=0;
numM=0;
numF=0;
numP=0;
numS=0;
numT=0;
numW=0;
numY=0;
numV=0;
numH=0;
numgap=0;
    for j=1:1000
        if z(i,j)=='A'
            numA=numA+1;
        elseif z(i,j)=='R'
            numR=numR+1;
        elseif z(i,j)=='N'
            numN=numN+1;
        elseif z(i,j)=='D'
            numD=numD+1;
        elseif z(i,j)=='C'
            numC=numC+1;
        elseif z(i,j)=='E'
            numE=numE+1;
        elseif z(i,j)=='Q'
            numQ=numQ+1;
        elseif z(i,j)=='G'
            numG=numG+1;
        elseif z(i,j)=='I'
            numI=numI+1;
        elseif z(i,j)=='L'
            numL=numL+1;
        elseif z(i,j)=='K'
            numK=numK+1;
        elseif z(i,j)=='M'
            numM=numM+1;
        elseif z(i,j)=='F'
            numF=numF+1;
        elseif z(i,j)=='P'
            numP=numP+1;
        elseif z(i,j)=='S'
            numS=numS+1;
        elseif z(i,j)=='T'
            numT=numT+1;
        elseif z(i,j)=='W'
            numW=numW+1;
        elseif z(i,j)=='Y'
            numY=numY+1;
        elseif z(i,j)=='V'
            numV=numV+1;
        elseif z(i,j)=='H'
            numH=numH+1;
       elseif z(i,j)=='-'
           numgap=numgap+1;
        end
    end
    if numA ~=0
        n1=1;
    end
   if numR ~=0
        n2=1;
   end
   if numN ~=0
        n3=1;
   end
    if numD ~=0
        n4=1;
    end
    if numC ~=0
        n5=1;
    end
    if numE ~=0
        n6=1;
    end
    if numQ ~=0
        n7=1;
    end
    if numG ~=0
        n8=1;
    end
    if numI ~=0
        n9=1;
    end
    if numL ~=0
        n10=1;
    end
    if numK ~=0
        n11=1;
    end
    if numM ~=0
        n12=1;
    end
    if numF ~=0
        n13=1;
    end
    if numP ~=0
        n14=1;
    end
    if numS ~=0
        n15=1;
    end
    if numT ~=0
        n16=1;
    end
    if numW ~=0
        n17=1;
    end
    if numY ~=0
        n18=1;
    end
    if numV ~=0
        n19=1;
    end
    if numH ~=0
        n20=1;
    end
    if numgap~=0
        ngap=1;
    end
   r(i)=n1+n2+n3+n4+n5+n6+n7+n8+n9+n10+n11+n12+n13+n14+n15+n16+n17+n18+n19+n20+ngap;
end
